﻿@page "{id:int}"
@model ShopAPI.Pages.ProductPage

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <title></title>
</head>
<body>
<h1>Product Details</h1>

<div>
    @if (Model.Product is not null){ 
           <h3>Product ID: @Model.Product.Id</h3>
        <p>Name: @Model.Product.Name</p>
        <p>Price: @Model.Product.Price</p>
        <p>Stock: @Model.Product.Stock</p>
    }
    else
    {
        <p>Product not found.</p>
    }
</div>
</body>
</html>